Bug 36300 - mkudf missing from distribution
mkudf missing from distribution
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 13:31 EDT by Martin Lichtin
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Lichtin 2001-04-17 13:31:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.14-5.0smp i686)


mkudf does not seem to be part of any packages.
You have UDF support in your kernel, but the tools are missing.


Reproducible: Always
Steps to Reproduce:
1. Try to create a UDF filesystem.
2.
3.
Comment 1 Arjan van de Ven 2001-04-17 13:33:28 EDT
UDF read is supported, write is very very experimental.
Anyway, mkudf isn't part of the kernel package ; reassigning
Comment 2 Elliot Lee 2001-07-18 14:01:16 EDT
Our kernel package doesn't appear to have the headers that udf-tools wants in
order to compile, and even when I tried to hack around this, I discovered that
some of the distributed source files were empty. It appears that UDF support in
the kernel and out is not mature enough to support udf-tools currently. Please
reopen this report once things are closer to widespread usability.
Comment 3 Martin Lichtin 2001-07-18 17:46:19 EDT
I think there might be a misunderstanding.
The tools compile ok.

Download http://prdownloads.sourceforge.net/linux-udf/udf-0.9.4.1.tar.gz,
unpack, run "make tools" and there will be a number of tools available:

./tools/dumpsect
./tools/dumpfe
./tools/taglist
./tools/cdinfo
./tools/mkudf
./tools/chkudf
./tools/dumpea
./tools/checkdisk
./tools/bmap
./tools/dumpdisc
./tools/cdrwtool
./tools/pktsetup
./tools/pdumpsect

Obviously, not all tools need to be installed, but mkudf, chkudf, cdrwtool,
pktcdvd
should be part of the distribution.

Also, a device file is created: /dev/pktcdvd0

Note You need to log in before you can comment on or make changes to this bug.